Problem

Nach Installation des DHL Versenden Moduls tritt folgender Fehler auf:

Parse error: syntax error, unexpected '[' in .../app/code/community/Dhl/Versenden/Model/Observer.php on line 99


Ursache

Dieser Fehler wird durch eine veraltete PHP Version verursacht (wahrscheinlich 5.3 oder älter). In derart alten PHP-Versionen ist es nicht möglich, die Ergebnisse von Funktionsaufrufen direkt zu dereferenzieren, siehe PHP Dokumentation. Daher kann der Code in der o.g. Datei Observer.php auf Zeile 99 nicht korrekt arbeiten.


Lösung

PHP muss auf eine unterstützte Version aktualisiert werden. Beachten Sie die Anforderungen von Magento und die des DHL Versenden Moduls, siehe Dokumentation.


Es gibt keine Garantie, dass das DHL Versenden Modul in einer nicht unterstützten PHP-Umgebung fehlerfrei arbeiten wird.